About Us

OpenCloner Inc. is a professional software developer dedicating to the development and distribution of digital media solutions. Its products are famous for powerful functions and high quality. DVD-Cloner is one of the best selling DVD copy programs on the market and ranks No.1 on many review websites.

Game-Cloner 2 is the smart game copy software to copy PS3 games, PS2 games, Xbox 360 games, Wii games and PC games. Besides the game disc copy, it can also make ISO files and copy the ISO file from the hard disk to a blank disc. Click here to learn more.

DVD-Cloner 9 comes with its powerful functions and fire-new one-click interface to make DVD copy extraordinarily easy. Its all-round upgraded HST™ technology can decrypt all the DVD protections, and the optimized DVD reading speed enables you to copy a DVD movie just after a cup of coffee. Click here to learn more.

DVD-Cloner Platinum is powerful DVD copy/conversion/burn software. It has all the features of DVD-Cloner plus the ability to convert all your DVD movies to iPod Nano, Classic and Touch. Click here to learn more.

DVD-Cloner for Mac 2 is the latest generation of the full-featured DVD copy software for the Mac operating system. It provides you easy-to-use tools and state-of-the-art technology that let you make quality DVD copies for Mac. Click here to learn more.

iPod-Cloner is a one-click solution to convert all kinds of DVD to iPod compatible formats. The conversion process is fast and easy. Its built-in iPod Files Manager allows you to transport all files, including music, video, movies and TV shows directly from PC to iPod. Click here to learn more.

Open DVD ripper 2 is a magical and smart tool for you to rip DVD movies with versatile functions and perfect output quality. This powerful DVD ripping tool allows you to rip DVD movies to many different video and audio formats. Click here to learn more.

Stream-Cloner is an all-in-one leading stream downloader with powerful functions and fast speed. It allows you to download online movies, TV shows, flash and capture streaming video/audio whenever you want from the Internet. Click here to learn more.

Blue-Cloner 3 is a one-click Blu-ray tool to make perfect Blu-ray copy faster and more easily. Its brand-new customized copy mode enables you to make Blu-ray backups according to your preferences. Click here to learn more.

Blu-ray to DVD II Pro is perfect Blu-ray converting software which allows you to copy Blu-ray movies to DVD or AVCHD with only one click. Its innovative HST™ Technology will make the Blu-ray to AVCHD conversion extremely fast, 500% faster than before. Click here to learn more.

Open Blu-ray ripper is powerful Blu-ray ripping and converting software to rip Blu-ray movies to popular audio and video formats for you freely watching on various devices. It also can convert and rip protected Blu-ray movies with a third-party plug-in. Click here to learn more.

Blu-ray to HDD is powerful Blu-ray ripping software with the ability to convert Blu-ray movies to MKV or TS files. Now you can enjoy any Blu-ray movie on the PC with a software player (such as KMplayer, Mplayer and K-lite), or on the TV with an HDD player (MVIX, TVIX). Click here to learn more.

Open MovieBox is a free smart tool to collect, keep and share your favorite movies. It allows you to get latest and popular movies from the Internet, as well as searching for the movies from the Internet as you like. Click here to learn more.

The Support Center is designed to help customers solve their problems quickly and effectively. If you experience problems while using our products, please feel free to contact us, and our support team is always ready to help you with any question or comment you have about our products.

Click here for more about OpenCloner Inc.


Overview

Game-Cloner 2 is the smart game copy software to copy PS3 games, PS2 games, Xbox 360 games, Wii games and PC games. Besides the game disc copy, it can also make ISO files and copy the ISO file from the hard disk to a blank disc. Game-Cloner 2 can also recognize the .dvd files on the hard disk under the Xbox 360 copy mode. Moreover, you can set up some options to optimize your game copy such as setting the burn speed and the type of "Burn I/O", etc. Game-Cloner 2 enables you to play various kinds of games, CD games, DVD games or Blu-ray games, whatever they are!

(For more information, please visit www.game-cloner.com)


Features

Key Features
  • Supports for burning ISO files of PS3/PS2 games. (including Blu-ray discs and DVD image files).
  • Supports for burning ISO files of Xbox 360 games.
  • Supports for copying PC games as well as reading and burning image files from the disc.
  • Supports for copying Wii games as well as reading and burning image files from the disc.

    • Main Features
  • Supports for the whole-disc game copy.
  • Creates ISO files from the original game disc.
  • Copies the ISO file from the hard disk to a blank disc.
  • Supports for various kinds of game copy – PS3 copy, PS2 copy, Xbox 360 copy, Wii copy and PC copy.
  • Supports dual-layer 8.5GB DVD game copy.
  • Burns a game directory from the hard disk to a BD-R or DVD-R during the PS3/PS2 games copy.
  • Supports for reading .dvd files from the hard disk during the Xbox 360 game copy.
  • Defines a temporary directory to save the copied games.
  • Sets the burn speed.
  • Verifies data after the burn is finished.
  • Supports a variety of burners.

    • Tips:
    1. Click here to learn how to realize the real game copy.
    2. Click here to learn the limitations about the drive, burner, etc.

    (For more information, please visit www.game-cloner.com)


What's new in Game-Cloner 2?

  • Creates ISO files from the original game disc.
  • Copies the ISO file from the hard disk to a blank disc.
  • Supports for various kinds of game copy – PS3 copy, PS2 copy, Xbox 360 copy, Wii copy and PC copy.
  • Burns a game directory from the hard disk to a BD-R or DVD-R during the PS3/PS2 games copy.
  • Supports for reading .dvd files from the hard disk during the Xbox 360 game copy.
  • Defines a temporary directory to save the copied games.
  • Sets the burn speed.
  • Verifies data after the burn is finished.

    • (For more information, please visit www.game-cloner.com)


Main Interface

1. PC: Click to select "PC" as the game disc format.
2. Xbox 360: Click to select "Xbox 360" as the game disc format.
3. PS3: Click to select "PS3" as the game disc format.
4. Wii: Click to select "Wii" as the game disc format.
5. Select the source game: Click to select the source game. When you choose to make an ISO file or copy a game disc to a blank disc, then it should be a drive. If you choose to copy an ISO file from the hard disk to a game disc, it should be an ISO file.
6. Information bar: Shows the basic information about the source game disc or the ISO file.
7. Select the target burner/saving path: Click to select the target burner or the saving path. When you choose to make an ISO file from a game disc, it should be a directory on the hard disk. When you choose to copy a game disc to another blank disc or copy the ISO file on the hard disk to a blank disc, it should be a burner.
8. Minimize: Minimizes Game-Cloner 2 to the icon tray.
9. Exit: Exits Game-Cloner 2.
10. About: Opens the "About" window.
11. Help: Opens the "Help" file.
12. Advanced Setup: Enters the "Advanced Setup" window.
13. Register: Enter your registration name and code.
14. Buy: Buy Game-Cloner 2.
15. Start: Click to start copying.
16. Copy the game from the hard disk to a blank disc: Burns the saved ISO file on the hard disk to a blank disc.
17. Copy a game disc to a blank disc: Copies a game disc to another blank disc.
18. Copy a game disc to an ISO file on the hard disk: Copies a game disc and saves the copied game as an ISO file on the hard disk.

Click here to get the video guide which shows the operation directly.


Setup Details

1. Temporary directory: Shows the location of the temporary game files. You can click on the right-side folder to change the default temporary directory.
2. Burn I/O: AUTO/SPTI/ASPI is available.
AUTO: The program automatically selects the best data I/O interface.
SPTI: To write data with Windows SPTI.
ASPI: To write data with wnaspi32.
3. Burn speed: Set the burn speed. Please note that the burn speed should match the disc you use. The default is "Maximum" - to use the highest speed compatible with the disc.
4. Verify data after the burn is finished: Select to verify the game data to ensure the burn quality after the burn is completed.
5. Cancel: Click to exit the "Advanced Setup" window without saving your settings.
6. OK: Click to save your settings and exit the "Advanced Setup" window.
7. Default: Click to restore the default settings.
8. Help: Pops up the "Help" file.

Click here to get the video guide which shows the operation directly.


Copy a game disc to an ISO file on the hard disk

Step 1: Run Game-Cloner 2. Select the target format of the game disc, such as PC, and click on the "Copy a game disc to an ISO file on the hard disk" button.

Step 2: Insert the source game disc into the drive and click on the folder button to select a saving path on the hard disk for your target ISO file.

Step 3: Click on the "Start" button and Game-Cloner 2 will read the disc data and make the ISO file automatically.

Step 4: Completed!

Note:
1. If you choose to copy a Wii or a PC game disc to an ISO file on the hard disk, follow the above directions step by step, and then an ISO file will be made successfully.
2. When you choose to copy a PS3 or an Xbox 360 game disc to an ISO file on the hard disk, the following window will pop up. Please read the information carefully and make your decisions to proceed or cancel. If you do not want this window to pop up again, just check the option "Don't pop up again".

Tips:
1. Click here to learn how to realize the real game copy.
2. Click here to learn the limitations about the drive, burner, etc.

Click here to get the video guide which shows the operation directly.


Copy a game disc to a blank disc

Step 1: Run Game-Cloner 2. Select the target format of the game disc, such as PC, and click on the "Copy a game disc to a blank disc" button.

Step 2: Insert the source game disc and select the target burner.

Step 3: Game-Cloner 2 starts reading data.

Note: When you choose to copy a PS3 or an Xbox 360 game disc, a window will pop up before reading. Read the information carefully and choose to proceed or cancel. If you do not want this window to pop up again, just check the option "Don't pop up again". If you choose to copy a Wii or a PC game disc, Game-Cloner 2 will read data directly without popping up this window.

Step 4: After the reading is completed, it will prompt you to insert a blank DVD±R/RW. Please insert it and click "OK". Then it will begin burning.

Step 5: Completed!

Tips:
1. Click here to learn how to realize the real game copy.
2. Click here to learn the limitations about the drive, burner, etc.

Click here to get the video guide which shows the operation directly.


Copy the game from the hard disk to a blank disc

Step 1: Run Game-Cloner 2. Select the target format of the game disc, such as PC, and click on the "Copy the game from the hard disk to a blank disc" button.

Step 2: Click on the "Select the source game" button and select the ISO file you'd like to burn.

Note:
1. If you choose to burn the ISO file of a PS3 game to a blank disc, you will gain more than that. Game-Cloner 2 can also burn a directory from the hard disk including the data contained in its subdirectory.
2. Besides the ISO file, the .dvd file format can also be identified in the process of burning the ISO file of an Xbox 360 game to a game disc with Game-Cloner 2.

Step 3: Select your target burner and click on the "Start" button.

Step 4: It will prompt you to insert a blank DVD±R/RW. Please insert it and click "OK". It will start burning.

Step 5: Completed!

Tips:
1. Click here to learn how to realize the real game copy.
2. Click here to learn the limitations about the drive, burner, etc.

Click here to get the video guide which shows the operation directly.


Order

Game-Cloner 2 is the smart game copy software to copy PS3 games, PS2 games, Xbox 360 games, Wii games and PC games. Besides the game disc copy, it can also make ISO files and copy the ISO file from the hard disk to a blank disc. Game-Cloner 2 can also recognize the .dvd files on the hard disk under the Xbox 360 copy mode. Moreover, you can set up some options to optimize your game copy such as setting the burn speed and the type of "Burn I/O", etc. Game-Cloner 2 enables you to play various kinds of games, CD games, DVD games or Blu-ray games, whatever they are!

(For more information, please visit www.game-cloner.com/order.html)


Register

After purchasing Game-Cloner, you will receive an order confirmation Email containing the registration name and code. Enter your registration name and code exactly and click on the "Register" button, and then you can register Game-Cloner successfully.

If you encounter any problem during the registration process, please contact our support team.

1. Name: Enter your user name.
2. Code: Enter your registration code correctly.
3. Trial: Click to use the trial version. The trial version can only copy games for 10 times.
4. Register: Click on this button to register after entering your user name and registration code.
5. Buy: Visits http://www.game-cloner.com/order.html to buy Game-Cloner 2.

Money back guarantee:
We provide a 30-day unconditional money back guarantee to all new users.


Upgrade

The registered users of Game-Cloner can upgrade to Game-Cloner 2 for free. Therefore, if you have already bought Game-Cloner, you can directly click HERE to download Game-Cloner 2 and use it without registering again.

Game-Cloner 2 will check version update regularly. If there is a new version available, an information window will pop up automatically and show the information about the new version and the latest news when you run Game-Cloner 2. If there is none, you will not see it.

If you want to know whether your current version is the latest one, please click the "i" button on the main operation interface and the "About" window will be opened. Then click "Check update".

You can also visit our site at www.game-cloner.com to learn the latest information about Game-Cloner 2.


Contact

Supp ort

If you experience problems with Game-Cloner 2, please do not hesitate to contact us via one of the following methods:

Support center

If you experience problems during the use of our product, we suggest you look it up in our FAQs first. If you can't find a solution there, please do not hesitate to create a ticket through our Ticket System.

Email service
If you encounter any problem during the use of Game-Cloner 2, please feel free to send an email to: support@game-cloner.com for help.

Sales and marketing

If you are interested in online order and our affiliate program, please feel free to contact us at affiliate-admin@opencloner.com


FAQ

(For more information, please visit www.game-cloner.com/faq.html)

General FAQ

  1. What is Game-Cloner 2?
    Game-Cloner 2 is the smart game copy software to copy PS3 games, PS2 games, Xbox 360 games, Wii games and PC games. Besides the game disc copy, it can also make ISO files and copy the ISO file from the hard disk to a blank disc. Game-Cloner 2 can also recognize the .dvd files on the hard disk under the Xbox 360 copy mode. Moreover, you can set up some options to optimize your game copy such as setting the burn speed and the type of "Burn I/O", etc. Game-Cloner 2 enables you to play various kinds of games, CD games, DVD games or Blu-ray games, whatever they are!

  2. What are the main features of Game-Cloner 2?
    • Supports for the whole-disc game copy.
    • Creates ISO files from the original game disc.
    • Copies the ISO file from the hard disk to a blank disc.
    • Supports for various kinds of game copy – PS3 copy, PS2 copy, Xbox 360 copy, Wii copy and PC copy.
    • Supports dual-layer 8.5GB DVD game copy.
    • Burns a game directory from the hard disk to a BD-R or DVD-R during the PS3/PS2 games copy.
    • Supports for reading .dvd files from the hard disk during the Xbox 360 game copy.
    • Defines a temporary directory to save the copied games.
    • Sets the burn speed.
    • Verifies data after the burn is finished.
    • Supports a variety of burners.

  3. What kinds of games does Game-Cloner 2 support?
    Game-Cloner 2 supports for PS3 game copy, PS2 game copy, Xbox 360 game copy, Wii game copy and PC game copy.

  4. What kinds of game discs does Game-Cloner 2 support?
    Game-Cloner 2 supports for CD/DVD/Blu-ray game discs.

Technical FAQ

  1. What copy modes does Game-Cloner 2 support?
    It can copy a game disc to another blank game disc, copy a game disc to an ISO file on the hard disk and burn the ISO game file from the hard disk to a blank game disc.

  2. How to copy a Wii game disc into an ISO game file?
    • Run Game-Cloner and select [image] on the main interface (Actually, the default is Wii).
    • Insert your source game disc and select a location to save your ISO game file.
    • Click "Start" to begin copying.
    • Completed!

  3. How to burn an ISO game file onto a game disc?
    • Run Game-Cloner and select the game disc format you want to make, such as PC.
    • Select the source ISO game file from the hard disk and define the target burner.
    • Click "Start" to begin copying.
    • Insert a blank disc and then it will begin burning.
    • Completed!

  4. How to copy an Xbox 360 game disc to another blank disc?
    • Run Game-Cloner and select [image] on the main interface.
    • Insert your source game disc and define the target burner.
    • Click "Start" and it will begin reading the disc.
    • After the reading is completed, please insert a blank DVD+R DL and then it will begin burning.
    • Completed!
    Note: Burning Xbox 360 games needs to change the DVD+R booktype. At present, only the following burners support this function: RICOH, BENQ, BTC, LITE-ON, LG and PLEXTOR. Other burners cannot guarantee successful burn.

  5. Are there any limitations when copying games with Game-Cloner 2?
    Yes. When you copy games with Game-Cloner 2, you must note the following things:
    • Wii games are all in the DVD-5 format, and the common drives on the PC CANNOT recognize this kind of game discs. If you want to copy Wii game discs, you must have one of the following drives: LG-8164b, LG-8163b, LG-8162b, or LG-8161b.
    • PS3 games are all in the Blu-ray format and the common Blu-ray drives CANNOT read the contents. At present, you can only use LITEON DH-401S and BENQ BR1000 drives to read the contents directly without need to crack the discs first. Read the ISO files directly with the drives mentioned above and burn them to BD-Rs or DVD-Rs. Then you can play the games on a cracked PS3 console.
    • Xbox 360 games are generally in the DVD-9 format and the common DVD drives CANNOT read the ISO files completely unless you transfer the drive on the Xbox 360 console to the PC and then update its firmware. Then you can play the games on a cracked Xbox 360 host.
    • Generally, PC games can all be copied. However, the copied PC games will only function when combined with the crack patch, such as No-CD Patch.

  6. Can Game-Cloner 2 copy CD format music discs?
    Yes, it can.

  7. How to install and uninstall Game-Cloner?
    To install Game-Cloner, please follow the steps below:
    Step 1. Download the Game-Cloner installation file onto your computer.
    Step 2. Double-click on the installation file.
    Step 3. Follow the directions to finish the installation.

    To uninstall Game-Cloner, proceed as follows:
    Step 1. Click the "Start" menu and enter "Programs".
    Step 2. Find "Game-Cloner" and you'll see "Uninstall" in the drop-down options.
    Step 3. Click it and Game-Cloner will be uninstalled automatically.

  8. Does Game-Cloner need the support of NTFS system?
    It depends. The NTFS format is not needed if the data on the DVD is less than 4GB. However, due to the limited maximum capacity of FAT, the NTFS system is strongly recommended in order to get better stability and compatibility.

  9. How long does it take to copy a disc into an ISO image file? And how about burning an ISO image file and copying a disc?
    The above operating time depends on many factors, such as the speed of CPU, the hard disk, BD/DVD/CD-ROM, the disc size, etc. Time needed varies greatly in different situations. For example, it took us about 15 minutes to 2 hours to read and create image files in the trial of cloning an 8G DVD movie, while 20 minutes to 1 hour to burn the ISO image files.

  10. Why can't I download your software and get stopped when downloading?
    Please re-download again and try several more times. Please shut down your firewall or Norton Internet security or something like that on your PC. Then download again from the link below:
    http://www.game-cloner.com/download.html
    If you still can't download the software on your computer, please click here to contact our support team.

  11. Can I set the burn speed?
    Yes. Please select your desired burn speed such as 2x and 2.4x in the "Advanced Setup" window. The default setting is "Maximum".

  12. What does the option "Verify data after the burn is finished" in the "Advanced Setup" window mean?
    Actually, this option is designed to ensure correct data and successful game copy. If some problems occurred during the burn process, please check "Verify data after the burn is finished". Then Game-Cloner will verify the data to ensure the burn quality after the burn is completed.

  13. What are the system requirements for Game-Cloner?
    Minimum configuration:
    • Pentium-II 450 MHz
    • 64MB of RAM
    • 5GB free hard disk space for DVD-5 (10GB free hard disk space for DVD-9)
    • DVD burners
    • Windows XP

    14. Recommended configuration:
    • Intel Core 2 CPU or a faster processor
    • 2GB of RAM
    • 10 GB free hard disk space
    • DVD burners, Blu-ray burners
    • Windows 7 32bit system

    For Blu-ray copying:
    • NTFS partition
    • A Blu-ray disc drive
    • A Blu-ray media player
    • 50GB or more free disk space

Purchase and Upgrade FAQ

  1. Can you help me solve the problems about the usage of Game-Cloner?
    Of course. We'll provide satisfactory service for each of our customers as soon as possible. Click HERE and you could chat with our support team directly. We're willing to help you solve any problem about Game-Cloner.

  2. Can you answer any question about Game-Cloner 24 hours a day?
    Of course.
    Please submit your question at Ticket System and our support team is ready to help you at any time you need.

  3. Can I download the trial version of Game-Cloner before I buy it?
    Of course you can.
    You may download it at http://www.game-cloner.com/download.html and use it as you like.

  4. Does the trial version have any limitation?
    Yes. The trial version can only copy games 10 times. If you want to copy more, you need to buy a registered version HERE.

  5. How can I buy the game copy software?
    Simply click here to buy. Within an hour after the payment is received, a confirmation Email will be sent to you. This Email will contain the registration name and code you use to register.

  6. Can I upgrade Game-Cloner to Game-Cloner 2 for free?
    Yes. The registered users of Game-Cloner can upgrade to Game-Cloner 2 totally for free. You can just click HERE to download Game-Cloner 2 and then you can use it without registering again.

  7. Can I order the CD version of Game-Cloner?
    Yes, you can. Please order the CD version of Game-Cloner from http://www.regnow.com/softsell/nph-softsell.cgi?item=8959-11. Please select the option "Add a Backup CD of your Order for $9.95 USD" when placing an order. Usually, you will receive the CD version within 10-15 days. After placing an order, we will email you an order confirmation Email within 1 hour. The confirmation notice will contain the registration name and code that you need to register.

Register FAQ

  1. How to register Game-Cloner?
    You will receive a confirmation Email containing your registration name and code after the payment. Enter your registration name and code as the following to register:
    1. Run Game-Cloner.
    2. The "Register" window will appear. Enter your registration name and code and click on the "Register" button.
    3. If the registration succeeds, the buttons "Register" and "Buy" will disappear from the main interface.
    If Game-Cloner can not be registered this way, please click here to register with the manual key.

  2. What can I do if I lose my registration information?
    If you lose your registration code, please click HERE and we'll help you to retrieve it.


System Requirements

Minimum configuration:

• Pentium-II 450 MHz
• 64MB of RAM
• 5GB free hard disk space for DVD-5 (10GB free hard disk space for DVD-9)
• DVD burners
• Windows XP

Recommended configuration:

• Intel Core 2 CPU or a faster processor
• 2GB of RAM
• 10 GB free hard disk space
• DVD burners, Blu-ray burners
• Windows 7 32bit system

For Blu-ray copying:

• NTFS partition
• A Blu-ray disc drive
• A Blu-ray media player
• 50GB or more free disk space

The information is also available HERE.


Warning

  • Wii games are all in the DVD-5 format, and the common drives on the PC CANNOT recognize this kind of game discs. So Game-Cloner 2 CANNOT read the genuine game data, make the ISO files or copy game discs unless you have one of the following drives: LG-8164b, LG-8163b, LG-8162b, or LG-8161b.

  • PS3 games are all in the Blu-ray format and the common Blu-ray drives CANNOT read the contents. At present, you can only use LITEON DH-401S and BENQ BR1000 drives to read the contents directly without need to crack the discs first. Game-Cloner 2 can read the ISO files directly with the drives mentioned above and burn them to BD-Rs or DVD-Rs. Then you can play the games on the cracked PS3 console.

  • For PS3 game copy, besides the ISO file burn function, you can also burn a game folder on the hard disk (including the data in its subdirectory). The ideal situation is like this: You need to first copy the games on the cracked PS3 host to its built-in hard disk and transfer them to the PC with the FTP protocol. Then you can burn the game folder to a blank disc with Game-Cloner 2 for distribution.

  • Xbox 360 games are generally in the DVD-9 format and the common DVD drives CANNOT read the ISO files completely unless you transfer the drive on the Xbox 360 console to the PC and then update its firmware. Then you can play the games on the cracked Xbox 360 host. Meanwhile, its volume can sometimes exceed that of a DVD+R DL, but there will be no problem to ignore this.
    Note: Burning Xbox 360 games will need to change the DVD+R booktype. At present, only RICOH, BENQ, BTC, LITE-ON, LG and PLEXTOR burners support this function. Other burners CANNOT guarantee successful burn.

  • Generally, PC games can all be copied. However, the copied PC games will only function when combined with the crack patch, such as No-CD Patch.

            •


Related Products
(For more information, please visit www.opencloner.com)

DVD-Cloner

DVD-Cloner 9 comes with its powerful functions and fire-new one-click interface to make DVD copy extraordinarily easy. Its all-round upgraded HST™ technology can decrypt all the DVD protections, and the optimized DVD reading speed enables you to copy a DVD movie just after a cup of coffee.

DVD-Cloner 9's Key features:

  • Perfect 1:1 DVD Copy.
  • Customized Copy.
  • OET™ - Copy latest DVD movies.
  • Supports the backup of latest Blu-ray movies.

More Info

DVD-Cloner Platinum

DVD-Cloner Platinum is powerful DVD copy/conversion/burn software. It has all the features of DVD-Cloner plus the ability to convert all your DVD movies to iPod Nano, Classic and Touch.

DVD-Cloner Platinum's Key features:

  • Perfect 1:1 DVD Copy.
  • Backs up Blu-ray movies.
  • Converts DVD movies to iPod compatible files.
  • Directly transports DVD files from PC to iPod without iTunes!

More Info

DVD-Cloner for Mac

DVD-Cloner for Mac 2 is the latest generation of the full-featured DVD copy software for the Mac operating system. It provides you easy-to-use tools and state-of-the-art technology that let you make quality DVD copies for Mac.

DVD-Cloner for Mac 2's Key features:

  • Perfect 1:1 DVD Copy for Mac
  • Customized Copy
  • ERT™ - copy the latest DVD movies
  • Cool and smart interfaces

More Info

iPod-Cloner

iPod-Cloner is a one-click solution to convert all kinds of DVD to iPod compatible formats. Its built-in iPod Files Manager allows you to transport all files, including music, video, movies and TV shows directly from PC to iPod.

iPod-Cloner's Key features:

  • Directly transports DVD files from PC to iPod without iTunes!
  • Supports the conversion of latest DVD movies
  • Supports iPod Nano and Classic
  • Faster and easier to use (up to 400%)

More Info

Open DVD ripper

Open DVD ripper 2 is a magical and smart tool for you to rip DVD movies with versatile functions and perfect output quality. This powerful DVD ripping tool allows you to rip DVD movies to many different video and audio formats.

Open DVD ripper 2's Key features:

  • Rips DVD to more video and audio formats.
  • Supports more new media devices.
  • Trims your preferred clips from the video file.
  • Crops the unnecessary borders from the video screen.

More Info

Stream-Cloner

Stream-Cloner is an all-in-one leading stream downloader with powerful functions and fast speed. It allows you to download online movies, TV shows, flash and capture streaming video/audio whenever you want from the Internet.

Stream-Cloner's Key features:

  • Downloads online movies.
  • Captures anything playing on your PC.
  • Converts the finished files to various formats.
  • Playback of the downloaded and captured video files directly.

More Info

Blue-Cloner

Blue-Cloner 3 is a one-click Blu-ray tool to make perfect Blu-ray copy faster and more easily. Its brand-new customized copy mode enables you to make Blu-ray backups according to your preferences.

Blue-Cloner 3's Key features:

  • Perfect 1:1 Blu-ray copy.
  • Movie-only copy.
  • Movie complete copy.
  • Split Blu-ray copy.
  • Customized copy
  • Greatly increases the copy speed.

More Info

Blu-ray to DVD Pro

Blu-ray to DVD II Pro is perfect Blu-ray converting software which allows you to copy Blu-ray movies to DVD or AVCHD with only one click. Its innovative HST™ Technology will make the Blu-ray to AVCHD conversion extremely fast, 500% faster than before.

Blu-ray to DVD II Pro's Key features:

  • Copy Blu-ray to DVD(s).
  • Copy Blu-ray to AVCHD.
  • Perfect 1:1 copy
  • High burn speed

More Info

Open Blu-ray ripper

Open Blu-ray ripper is high-grade Blu-ray ripping and converting software. It gives you the freedom to convert latest Blu-ray movies to a great variety of audio and video formats and enjoy the movies on different devices.

Open Blu-ray ripper's Key features:

  • Supports multiple formats.
  • Decrypts Blu-ray discs with a third party plug-in.
  • HST™ - largely increases the conversion speed
  • Easy to use

More Info

Blu-ray to HDD

Blu-ray to HDD is powerful Blu-ray ripping software with the ability to convert Blu-ray movies to MKV or TS files. Now you can enjoy any Blu-ray movie on the PC with software players (like KMplayer, Mplayer and PowerDVD), or on the TV with an HDD player (MVIX, TVIX).

Blu-ray to HDD's Key features:

  • Converts Blu-ray to MKV or TS files.
  • Movie-only copy.
  • Rips with high definition and highest rate.
  • Fast conversion speed.

More Info

Open MovieBox

Open MovieBox is a free smart tool to collect, keep and share your favorite movies. It allows you to get latest and popular movies from the Internet, as well as searching for the movies from the Internet as you like.

Open MovieBox's Key features:

  • Gets latest and popular DVD/Blu-ray movies from the Internet.
  • Searches for the movies from the Internet.
  • Shares movies on the PC with others through iPad 1 or iPad 2.
  • Plays back the video files in the movie database directly.
  • The plug-ins help you collect video files from the discs/Internet.

More Info